%{!?_licensedir:%global license %%doc}

%global srcname yubico

Name:           python-%{srcname}
Version:        1.3.2
Release:        3%{?dist}
Summary:        Pure-python library for interacting with Yubikeys

License:        BSD
URL:            https://github.com/Yubico/%{name}
Source0:        https://github.com/Yubico/%{name}/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  pyusb

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-pyusb

%description
Pure-python library for interacting with Yubikeys


%package -n python2-%{srcname}
Summary:        Pure-python library for interacting with Yubikeys
Requires:       pyusb
Obsoletes:      python-yubico < %{version}-%{release}

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Pure-python library for interacting with Yubikeys. For Python 2.


%package -n python3-%{srcname}
Summary:        Pure-python library for interacting with Yubikeys
Requires:       python3-pyusb

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Pure-python library for interacting with Yubikeys. For Python 3.


%prep
%autosetup -n %{name}-%{name}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
nosetests-%{python2_version} -e test_challenge_response -e test_serial -e test_status
nosetests-%{python3_version} -e test_challenge_response -e test_serial -e test_status


%files -n python2-%{srcname}
%license COPYING
%doc NEWS README
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license COPYING
%doc NEWS README
%{python3_sitelib}/*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed May 11 2016 Nathaniel McCallum <npmccallum@redhat.com> - 1.3.2-2
- Add missing provide for python-yubico
- Add missing obsoletes for python-yubico

* Tue May 10 2016 Nathaniel McCallum <npmccallum@redhat.com> - 1.3.2-1
- Cleanup obsolete conditions (like RHEL 6)
- Update to v1.3.2

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 11 2016 Will Thompson <will@willthompson.co.uk> - 1.2.3-5
- Add python3-pyusb dependency to python3 subpackage (#1278210)

* Mon Jan 11 2016 Ville Skyttä <ville.skytta@iki.fi>
- Ship COPYING as %%license where applicable

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 20 2015 Miro Hrončok <mhroncok@redhat.com> - 1.2.3-3
- Add Python 3 subpackage (#1244237)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Nathaniel McCallum <npmccallum@redhat.com> - 1.2.3-1
- Upstream 1.2.3
- Require pyusb during building when running tests

* Mon Jun 23 2014 Nathaniel McCallum <npmccallum@redhat.com> - 1.2.1-3
- Enable build on EL6.

* Sat Jun 21 2014 Nathaniel McCallum <npmccallum@redhat.com> - 1.2.1-2
- Run upstream tests during build.

* Thu Jun 19 2014 Nathaniel McCallum <npmccallum@redhat.com> - 1.2.1-1
- Initial release.
